×
Kunena 5.1.6.1 Released - Security Release (09 Nov 2018)

The Kunena team has announce the arrival of Kunena 5.1.6 [K 5.1.6] which is now available for download as a native Joomla extension for J! 3.9.x. This version addresses most of the issues that were discovered in K 5.1 and issues discovered during the development stages of K 5.1. This is a Security release.

K5.1.6.1 is a install update.

Question Kunena 4.0.7 on Joomla 3.5 B1 and PHP 7

More
2 years 10 months ago - 2 years 10 months ago #1 by alQamar3
Hello guys,
I am currently experimenting with an early migration of our Joomla powered Kunena.

on the first glance everything looks fine now:
Implemented PHP 7.0 64bit (from 5.6.14 32bit)
Upgraded to Joomla 3.5 Beta 1

Kunena is a recent 4.0.7 release. While I can access, login and browse the forum and even leave likes / thanks etc I cannot post anything on the forum receiving a PHP error 500 Internal Server Error.

Yes, I've carefully read the sticky post about this error but it might be that someone has tried the same already and know about a solution on this perhaps yet unsupported platform.

First of all I have backups and could revert to joomla 3.4.6 and PHP 5.6.14 if this is really needed.


I would be glad if anyone could help to make this running, because I have some hope that it could work.
What I found about the issue itself is posted here:
github.com/joomla/joomla-cms/issues/8588

But so far I cannot help myself. Joomla itself seems to run fine.



500 Internal Server Error
Fatal Error was detected!

The error was detected in the Libraries.

Fatal Error: Cannot use 'String' as class name as it is reserved in libraries/vendor/joomla/string/src/String.php on line 19


This message contains confidential information

Database collation check: The collation of your table fields are correct

Joomla! SEF: Enabled | Joomla! SEF rewrite: Disabled | FTP layer: Disabled |

This message contains confidential information
htaccess: Missing | PHP environment: Max execution time: 300 seconds | Max execution memory: 128M | Max file upload: 2M

Kunena menu details:

Warning: Spoiler! [ Click to expand ]

Joomla default template details : yoo_nano3 | author: YOOtheme | version: 1.0.8 | creationdate: August 2013

Kunena default template details : Crypsis | author: Kunena Team | version: 4.0.7 | creationdate: 2015-11-16

Kunena version detailed: Kunena 4.0.7 | 2015-11-16 [ Albareto ]
| Kunena detailed configuration:

Warning: Spoiler! [ Click to expand ]
| Kunena integration settings:
Warning: Spoiler! [ Click to expand ]
| Joomla! detailed language files installed:
Warning: Spoiler! [ Click to expand ]

Third-party components: None

Third-party SEF components: None

Plugins: Search - Kunena Search 3.1.1 | Content - Kunena Discuss 3.1.1

Modules: Kunena Latest 3.1.1.1 | Kunena Stats 3.1.1 | Kunena Login 3.1.1 | Kunena Search 3.1.1




Errors in PHP log


Part of the message is hidden for the guests. Please log in or register to see it.
Last edit: 2 years 10 months ago by alQamar3.

Please Log in or Create an account to join the conversation.

More
2 years 10 months ago #2 by alQamar3
Due to a joomla warning I have configured upload_max_filesize and post_max_size to 10M.
Other than that the above config is unchanged.

Please Log in or Create an account to join the conversation.

More
2 years 10 months ago #3 by 810
Kunena 4.X will not be compatible with php7.

We have added php7 support on the new K5.0, this will be released when joomla 3.5 is released.

So for now you need to use php 5.6

Please Log in or Create an account to join the conversation.

More
2 years 7 months ago #4 by alQamar3
Hello again I have updated to Joomla 3.5 final now and want to ask whether it is working meanwhile to upgrade to PHP 7.0.4 with the current installation of Kunena 4.0.10. Thanks for a reply.

Please Log in or Create an account to join the conversation.

More
2 years 7 months ago #5 by alQamar3
Tried migration and completely checked / built the php.ini from the scratch to avoid carrying over old stuff.

So far I can confirm that Kunena works fine with ISS / MySQL 5.7 / PHP 7.0.4 and Joomla 3.5 final.

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to add attachements.
  • Not Allowed: to edit your message.
Time to create page: 0.162 seconds